2011-03-18  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (slotOpenContent): Allowing double click on .vhd files.

	* schematic_file.cpp (saveSymbolCpp): Including terminal centers
	into computation of the boundig box when exporting the C++ code
	for the symbol.

	* qucsdigilib.bat, qucsdigi.bat: Fixing digital simulation
	scripts.

2011-03-10  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/settingsdialog.cpp (SettingsDialog): Fixed position of
	data display and dataset input text fields.

2011-03-09  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/graph.cpp (getSelected): Fixed out-of-bounds access for
	diagrams with invalid (empty) graphs clicking into the diagram for
	selecting.

2011-03-08  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/settingsdialog.cpp (SettingsDialog): Added script
	setting to simulations.  The script can be enabled to be run after
	simulation.

2011-03-07  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (slotFileSettings), textdoc.cpp (createPopupMenu):
	Disabling document settings dialog for Octave files.

2011-03-06  Stefan Jahn  <stefan@lkcc.org>

	* qucs_de.ts: Updated German translations.

2011-03-05  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (saveSymbolCpp): Fixed bounding box
	calculation for generated C++ symbol code.

	* syntax.cpp: Added syntax highlighting for Octave files.

2011-03-04  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (openProject): When changing projects, also change
	Octave current directory.

	* octave/getQucsVariable.m, octave/showQucsDataSet.m,
	octave/loadQucsDataSet.m: Added default scripts.

	* octave_window.cpp (OctaveWindow): Setting fixed-width font for
	Octave window.  Adding Octave script path location for default
	scripts.

	* paintings/graphictext.cpp (saveCpp): Fixed text rotation of
	generated Text() component.

2011-03-03  Stefan Jahn  <stefan@lkcc.org>

	* octave_window.cpp (startOctave): First implementation of
	GNU Octave connection to qucs.  Thank you very much Michael!

2011-03-01  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (QucsApp): Fixed usage for "qucs <filename>" on command
	line.

	* dialogs/simmessage.cpp (startSimulator): Avoid outputting file
	names of library file include names into the netlist.

2010-04-14  Stefan Jahn  <stefan@lkcc.org>

	* schematic.cpp (setName): Handling schematic etc. filenames with
	a '.' (dot) in the filename correctly.

2010-03-28  Stefan Jahn  <stefan@lkcc.org>

	* qucs_actions.cpp (slotSelect): Avoid going to select mode when
	in wiring mode.  Just goto new wiring mode with current path
	deleted.

	* diagrams/diagramdialog.cpp (DiagramDialog): Allowing to
	double-click on "Graph" list to remove the graph.  Consistent to
	double-click on "Dataset" to add a graph.

	* mouseactions.cpp (rightPressMenu): Added hierarchy menu items to
	right-click menu when appropriate.

2009-11-08  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (slotSetCompView, fillComboBox, slotSelectComponent):
	Using new module/category interface for filling the component view
	and instantiating components for use on the schematic.

	* module.cpp: New components are now registered in
	registerModules() function for static linking.  This is now the
	only location where to tell the application about such a
	component.

	* module.h (class Module): Implemented new module and category
	classes for use as dynamic lists for available components seen in
	the component tab.

2009-10-27  Stefan Jahn  <stefan@lkcc.org>

	* paintings/rectangle.cpp, paintings/portsymbol.cpp,
	paintings/id_text.cpp, paintings/graphictext.cpp,
	paintings/graphicline.cpp, paintings/ellipsearc.cpp,
	paintings/ellipse.cpp, paintings/arrow.cpp (saveCpp): Added
	support functions for saving drawing as C++ code snippet.

	* dialogs/vasettingsdialog.cpp (VASettingsDialog): Added new
	property dialog for Verilog-A files.

	* textdoc.cpp (getModuleName): Added function to obtain
	module/entity name of a text file (e.g. Verilog or VHDL).
	(saveSettings): Saving additional settings for Verilog-A text
	files.

	* schematic_file.cpp (saveSymbolCpp): Added code to save C++
	symbol drawing code into the dataset of a schematic.
	(saveDocument): Usin above function to save C++ code of a symbol
	drawing document associated with a Verilog-A file.

	* schematic.cpp (adjustPortNumbers): Creating/updating Verilog-A
	text file's default symbol when switching to symbol page.

2009-10-25  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/qucssettingsdialog.cpp (QucsSettingsDialog): Added
	syntax highlighting color settings for directives and tasks.

2009-10-24  Stefan Jahn  <stefan@lkcc.org>

	* syntax.cpp (highlightParagraph): Added syntaxhighlighting for
	Verilog-A sources.

	* qucs.cpp (initContentListView): Added new 'Verilog-A' file
	content tab.  VA files can now be edited in builtin text editor.

	* textdoc.cpp (becomeCurrent): Changing menu entry for skeleton
	inserting depending on the language.
	(commentSelected): Disabling code depending on language.
	(insertSkeleton): Inserting module/entity prototype depending on
	language.

	* qucsdoc.cpp: Added helper functions for document file suffix and
	basename extraction.

	* qucs.cpp (slotCMenuDelGroup): Additionally removing '*.sym'
	files during group removal.

2009-10-23  Stefan Jahn  <stefan@lkcc.org>

	* syntax.cpp (highlightParagraph): Added support for (* *)
	comments in Verilog-HDL files.  Also nested comments are allowed.

	* schematic.cpp (adjustPortNumbers): Support for creation of
	Verilog-HDL text file's default symbol.

2009-10-22  Stefan Jahn  <stefan@lkcc.org>

	* syntax.cpp (markWord): Syntax highlighting now depends on the
	language of the displayed language.  Added support for
	Verilog-HDL.

	* textdoc.cpp (TextDoc): Setting up current (computer) language
	when loading a document and passing it to the syntax highlighter.

	* qucs.cpp (slotOpenContent): Allowing Verilog-HDL (.v) files to
	be double-clicked in Content-Tab, which opens the file in builtin
	text editor.

2009-10-19  Stefan Jahn  <stefan@lkcc.org>

	* textdoc.cpp: Moved syntax highligther class into 'syntax.cpp'
	file.

	* schematic.cpp (adjustPortNumbers): If symbol for text file is
	requested, then create default symbol for VHDL files.

	* qucs.cpp (slotSymbolEdit): Allowing to edit symbols for text
	documents.

2009-10-11  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/simmessage.cpp (startSimulator): Simulation of VHDL
	files are now able to reference into pre-compiled modules, i.e.
	libraries.

2009-10-09  Stefan Jahn  <stefan@lkcc.org>

	* qucsdigilib: Putting all modules into a library when creating a
	new module.

2009-10-06  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/simmessage.cpp (startSimulator): Implemented module
	pre-compilation for VHDL files.

2009-10-05  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/importdialog.cpp (slotImport): Added new Matlab file
	format to the list of output file formats.

2009-05-17  Stefan Jahn  <stefan@lkcc.org>

	* Makefile.am (TRANSLATIONS): Added Kazakh translations.

2009-05-13  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (fillComboBox): Applied a patch making it easier to
	deal with switching between component groups.

2009-05-04  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (createSubNetlistPlain): Allow equations to
	be put into Verilog and VHDL netlists.

2009-04-17  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (createSubNetlistPlain): Create parameter
	lists in Verilog-HDL subcircuits.

2009-04-16  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/labeldialog.cpp (LabelDialog): Allow input of global
	nodes such as "subst!".

	* paintings/id_dialog.cpp (ID_Dialog): Added new 'Type' property
	for subcircuit parameters.

	* schematic_file.cpp (createSubNetlistPlain): Using new 'Type'
	property for subcircuit parameters for passing them to generic
	VHDL parameters.

2009-04-13  Stefan Jahn  <stefan@lkcc.org>

	* qucs_jp.ts: Updated Japanese translation.  Thanks to Ishikawa!

2009-04-07  Stefan Jahn  <stefan@lkcc.org>

	* qucs_ru.ts: Updated Russian translations.

	* textdoc.cpp (createPopupMenu): Added "Document properties" to
	the right click popup menu in text editor files.

	* schematic_file.cpp (createSubNetlistPlain): Using generic()
	definitions for subcircuit parameters in VHDL.

	* qucs_ar.ts: Updated arabic translations.  Thanks to Chabane!

2009-03-30  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/tabdiagram.cpp (calcDiagram): Fixed a segfault bug
	occurring when an dependent variable without data points is meant
	to be displayed.

2009-03-29  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/timingdiagram.cpp (calcDiagram): Fixed display of
	negative real numbers.  For complex numbers we use magnitude.

2009-03-28  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/simmessage.cpp (startSimulator): Fixed bug for netlist
	creation from library components with library includes.

	* dialogs/librarydialog.cpp (slotNext): Fixed "endless loop" bug
	during library creation.

2009-03-17  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/importdialog.cpp (slotImport): Dialog can now also
	export data.  It's a complete frontend for the QucsConv command
	line tool.

2009-03-12  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp: Some code cleanup.  Also fixed a problem
	with subcircuits containing VHDL files: passing signal types up
	also when more than one instance of the subcircuit is on the
	schematic.

2009-03-10  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (createSubNetlistPlain): Adjusting type
	specifiers of VHDL subcircuits according to arbitrary signal types
	in VHDL files.

2008-11-27  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/vtabbutton.cpp (drawButton): Adjusted code to work with
	MacOSX as well.  Thanks to Gopala.

	* bitmaps/Makefile.am (MACICONS): Added MacOSX icons.

	* main.cpp (main): Initial position is centered on the screen.

2008-11-05  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (createSubNetlistPlain): Fixed netlist bug
	occurring when subcircuit port numbers are missing.

2008-10-25  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* schematic.cpp (paintFrame): Added US letter formats for the
	schematic frame.

2008-09-25  Stefan Jahn  <stefan@lkcc.org>

	* qucsdigi (LIBTOOL): Using new 'freehdl-config --linker' command
	to obtain system libtool program.

2008-08-06  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/digisettingsdialog.cpp (slotOk): Transfering digital
	setting into the appropriate textdoc.

	* textdoc.cpp (saveSettings, loadSettings): Implemented load/save
	functionality for digital setting (e.g. simulation time).

2008-05-05  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (saveAs): Using single directory variable for both Open
	and SaveAs as last directory.

2008-04-16  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/digisettingsdialog.cpp (DigiSettingsDialog): Started to
	add settings for pre-compiled digital simulation modules.

2008-03-25  Stefan Jahn  <stefan@lkcc.org>

	* schematic.cpp (save), textdoc.cpp (save): Fixed save timestamp
	"bug".  Only occurred on Win32...

	* qucs_tr.ts, qucs_ru.ts: Updated russian and turkish
	translations.

2008-03-08  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (prepareNetlist): Fixed bug occuring with
	verilog-hdl subcircuits including delays (timescale must be set
	previously).

2008-03-01  Stefan Jahn  <stefan@lkcc.org>

	* viewpainter.cpp, schematic.cpp: Fixed printing (font sizes)
	under Win32 using some work-arounds.

2008-02-17  Stefan Jahn  <stefan@lkcc.org>

	* qucsdigi: Using libtool instead of freehdl-libtool for linking
	FreeHDL binaries.

2008-02-15  Stefan Jahn  <stefan@lkcc.org>

	* Fixed some compile warnings for g++ 4.3 version.

2008-02-09  Stefan Jahn  <stefan@lkcc.org>

	* paintings/graphictextdialog.cpp (GraphicTextDialog): Hotkey for
	OK (Alt-O) and Cancel (Alt-C) button added.

2008-02-01  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/graph.cpp (paint): Using 'PrinterScale' to magnify line
	thickness of graphs correctly.

	* viewpainter.cpp (drawTextMapped): Introduced 'PrinterScale'
	property and thus are able to print subscript and superscript
	correctly.

2008-01-28  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp: Using "std_logic" instead of "bit" as
	representation of a wire during VHDL simulations.

2008-01-24  Stefan Jahn  <stefan@lkcc.org>

	* bitmaps/Makefile.am: Added pnp_therm.png and pnpsub_therm.png
	icons.

	* qucs.cpp: Removed verilog-a devices from non-linear components
	tab.

2008-01-21  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp: Added new "verilog-a devices" component tab.

2008-01-16  Stefan Jahn  <stefan@lkcc.org>

	* bitmaps/vfile.png, bitmaps/ifile.png: Fixed alpha channels.

2008-01-12  Stefan Jahn  <stefan@lkcc.org>

	* paintings/graphictext.cpp (paint): It's now possible to use
	^{super] and _{sub} in the graphic text widget.

2007-12-20  Stefan Jahn  <stefan@lkcc.org>

	* qucs_es.ts, qucs_fr.ts, qucs_uk.ts: Updated translations.

2007-12-10  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp (regionCode): Fixed small clipping bug.

2007-11-20  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp (getAxisLimits): Fixed a segfault bug when
	recomputing invalid graph data is requested.

2007-10-27  Stefan Jahn  <stefan@lkcc.org>

	* bitmaps/Makefile.am (XPMS): Added ifile icon.  Thanks to
	Gunther.

	* qucs_fr.ts: Fixed translations for CCVS and VCCS.  Also updated
	the translations.  Thanks to Vincent.

2007-09-28  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (slotCMenuRename): Fixed behaviour of rename context
	menu callback.

2007-08-20  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp (getAxisLimits): Fixed segfault bug in
	3D-cartesian diagram.

	* dialogs/savedialog.cpp (saveSelectedClicked): Fixed a bug
	causing the GUI to crash on Win32 when saving selected unsaved
	schematics at end dialog.

2007-08-16  Stefan Jahn  <stefan@lkcc.org>

	* schematic.cpp (print): Fixed a compile issue which strangely
	occurred with some gcc versions (3.3.3 and 3.3.1).

	* dialogs/importdialog.cpp (slotBrowse): Added CSV file type to
	the list of possible data import file formats.

2007-06-11  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (QucsApp): Allowing URIs (file:/path/file.sch) as
	command line files.

2007-06-03  Stefan Jahn  <stefan@lkcc.org>

	* qucs_pl.ts: Updated Polish translations.  Thanks to Darek.

2007-05-31  Stefan Jahn  <stefan@lkcc.org>

	* qucs_uk.ts: Updated Ukrainian translations.

2007-05-26  Stefan Jahn  <stefan@lkcc.org>

	* qucs_ru.ts: Updated Russian translations.  Thanks to Igor.

2007-05-23  Stefan Jahn  <stefan@lkcc.org>

	* qucsveri.bat: Added wrapper script for digital Verilog-HDL
	simulations for Win32.

2007-05-17  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (giveNodeNames): Using QPtrListIterator for
	iterating the DocComps list.  This is because the current item of
	the list itself may be modified during iteration in the
	drawContents() method due to a repaint event.

2007-05-15  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp (recalcGraphData): When removing a graph
	from a diagram means to delete one of it axes as well, then this
	axis is now also visually removed.

2007-05-14  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp (loadGraphData): Fixed a bug which skipped
	reloading of newly computed graphs in a diagram.  Thanks to
	Michael.

2007-05-11  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/librarydialog.cpp (LibraryDialog): Added
	"Select/Deselect All" buttons.
	(slotNext): Reversed order of include files (important for VHDL
	simulations).

2007-05-10  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/librarydialog.cpp (slotNext): Library creation now
	includes file handling.  Separate subcircuit files (VHDL, Verilog,
	Qucs-Subcircuit, SPICE) used by library elements are stored in an
	extra sub-directory.

	* schematic_file.cpp (giveNodeNames): Saving included files in a
	different manner in the global list.
	(createSubNetlistPlain): Allow subcircuit files to be stored in a
	dedicated file.  Used during library file creations.

	* main.cpp (properAbsFileName, properFileName): Added two new
	helper functions for file name mangling.

2007-05-09  Stefan Jahn  <stefan@lkcc.org>

	* qucs_uk.ts, qtgeneric_uk.ts: Updated Ukrainian translations.
	Thanks to Hse?

	* schematic_file.cpp (giveNodeNames): Allow library component to
	emit analog as well as digital netlist code.

2007-05-08  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/librarydialog.cpp (slotNext): Beside analog models now
	also verilog and vhdl models are saved.

	* schematic_file.cpp (giveNodeNames): Using new file component
	netlist creators.

2007-05-04  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/qucssettingsdialog.cpp (QucsSettingsDialog): Made "start
	wiring when clicking open node" configurable.

2007-04-26  Stefan Jahn  <stefan@lkcc.org>

	* qucs_actions.cpp (slotApplyCompText): Allowing '=' character
	while editing property values on schematic and in component
	dialog.

	* mouseactions.cpp (MPressElement): Fixed sticky rotation for
	elements with an initial rotation (e.g. AC voltage source).

2007-04-15  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/packagedialog.cpp (slotCreate): Adding ".qucs" extension
	if not already given.
	(extractPackage): Fixed bug inhibiting packages without file
	extension.

	* dialogs/importdialog.cpp (ImportDialog): Fixed odd behaviour of
	the dialog (import button disabled when saying no at overwrite
	message box).

2007-04-14  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp (loadVarData): Fixed locale problem
	due to a bug in SCIM (libscim) which Qt is linked to.

2007-04-11  Stefan Jahn  <stefan@lkcc.org>

	* element.h: Added 'over' and 'under' properties to texts.

2007-04-10  Stefan Jahn  <stefan@lkcc.org>

	* textdoc.cpp (print): Also fixed print scale for text
	documents.

	* schematic.cpp (print): Fixed print scale for schematics.  It
	assumed a screen resolution of 72dpi.

	* mouseactions.cpp (rotateElements): Made rotation sticky while
	placing elements from the component tab as well as when pasting
	elements from the clipboard into the schematic.

2007-04-05  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (throughAllNodes): Skip nodeset netlist
	entries during digital simulations.

2007-03-31  Stefan Jahn  <stefan@lkcc.org>

	* textdoc.cpp (TextDoc): Using mono-spaced font in text
	editor.

	* schematic_file.cpp (giveNodeNames): Fixed loading of
	Verilog files during VHDL run and vice versa.

	* qucs.cpp (initContentListView): Added verilog files in
	content tab.

2007-03-29  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/simmessage.cpp (FinishSimulation): Improved some
	translatable strings.

2007-03-28  Stefan Jahn  <stefan@lkcc.org>

	* schematic_file.cpp (createNetlist): Fixed a bug in
	determining the simulation time of digital simulations
	occurring when there are other disabled simulations
	placed on the schematic.
	(createSubNetlist): Implemented subcircuit modules for
	Verilog simulations.

2007-03-26  Stefan Jahn  <stefan@lkcc.org>

	* qucsveri: New digital simulation wrapper for Icarus
	verilog added.

	* schematic_file.cpp (prepareNetlist): Started to implement
	Verilog HDL interface.

2007-03-22  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/rect3ddiagram.cpp, diagrams/psdiagram.cpp,
	diagrams/polardiagram.cpp, diagrams/rectdiagram.cpp,
	diagrams/smithdiagram.cpp: Including <ieeefp.h> when available.
	Fix for finite() function on Solaris.

2007-03-18  Stefan Jahn  <stefan@lkcc.org>

	* qucs_fr.ts: Updated french translations.  Thanks to Vincent!

2007-03-17  Stefan Jahn  <stefan@lkcc.org>

	* Makefile.am (%.qm): Also renamed cz -> cs.  Thanks Marek
	for pointing this out!

	* dialogs/qucssettingsdialog.cpp (QucsSettingsDialog): Renamed
	cz -> cs for the Czech translations.

2007-03-13  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed bug of disappearing elements at moving and multiple clicks
	* fixed crash when double-clicking diagrams with markers

2007-03-13  Stefan Jahn  <stefan@lkcc.org>

	* qucs_ru.ts: Updated Russian translations.

	* qucs_it.ts: Updated Italian translations.

2007-03-12  Stefan Jahn  <stefan@lkcc.org>

	* qucs_init.cpp (initActions): Made icon texts and some status
	bar tips translatable.  Thanks Igor for pointing this out.

2007-03-11  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug in selecting ellipse arc

2007-03-08  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug loading old schematics with diodes
	* fixed bug loading FBH HBT

2007-03-03  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* set marker painting precisely
	* fixed bug in painting diagram selection frame
	* added diode property: Ikf

2007-02-24  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* marker pointer with precize graph position at zoom >1
	* fixed bug setting marker on 2D graph in 3D diagram
	* fixed bug with nan values in diagrams
	* enter wire mode when clicking on circuit node

2007-01-12  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* correct position for graph style "circles"
	* somewhat fixed shorten for digital components
	* some restructuring
	* own bitmaps for HICUM and FBH HBT
	* default graph style "arrows" for HB variables

2007-01-22  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* better resizing at zoom levels <> 1
	* better selecting at zoom levels <> 1
	* correct cursor cross before starting new wire

2006-12-22  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new components: twisted-pair transmission line, bond wire
	* new symbol for 4-port transmission line
	* fixed bug on subcircuit parameters without description

2006-12-06  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed small bug on creating paintings
	* new capacitor property: symbol neutral/polar
	* new diode property: symbol normal/Schottky/Zener
	* fixed bug in wrong scrollbar position
	* minimized flicker on scrollbar moving
	* limit diagram size to scrollbar
	* LaTeX symbols in text of schematic frame

2006-11-25  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new symbol for ideal transmission line and coax line
	* new component: 4-port transmission line

2006-11-05  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new main menu: Positioning
	* New actions: center horizontally and vertically
	* keep mouse position during zoom
	* move tabular scroll bar directly with mouse

2006-10-28  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* improved component/wire move algorithm
	* fixed bug in distributing paintings

2006-10-21  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* set cursor keys free in id_text dialog
	* fixed bug in loading components without properties
	* fixed bug in viewport position of schematic after loading

2006-10-13  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* put equations also in subcircuit netlists
	* added parameters to subcircuits

2006-09-18  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp (loadGraphData): Fixed a minor bug in
	computation of the diagram limits.  Thanks to Michael.

2006-09-03  Stefan Jahn  <stefan@lkcc.org>

	* qtgeneric_cz.ts, qucs_cz.ts: Added Czech translations.

2006-08-30  Stefan Jahn  <stefan@lkcc.org>

      * main.cpp (main): Using ASCODIR environment variable (if set)
      in order to locate the ASCO binary.  Otherwise it must be 
      somewhere in the executable PATH.

      * dialogs/simmessage.cpp (startSimulator): Running ASCO
      appropriately and evaluating results.

2006-08-29  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug printing text painting

2006-08-26  Stefan Jahn  <stefan@lkcc.org>

	* qucsdigi.bat: Closing stdin when running the simulator.

	* qtgeneric_tr.ts, qucs_tr.ts: Updated Turkish translations.
	Thanks to Ozgur.

	* Makefile.am (bin_SCRIPTS): Care about the host system when
	installing the qucsdigi script.

2006-08-19  Stefan Jahn  <stefan@lkcc.org>

	* qucs_hu.ts: Updated Hungarian translations.  Thanks to
	Joszef Bus.

	* qucsdigi: Closing stdin when simulating.

	* qucs_de.ts: Updated German translations.

	* dialogs/importdialog.cpp (slotBrowse): Added 'mdl' file type
	to the available data import data formats.

2006-08-12  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* no schematic frame during symbol edit
	* fixed bug showing "changed" after change to symbol edit mode
	* fixed bug in rectangular clipping algorithm
	* simulate VHDL file taken from memory

2006-08-09  Stefan Jahn  <stefan@lkcc.org>

	* qucs_es.ts: Updated spanish translations.  Thanks to Jose.

	* qucs_de.ts: Updated german translations.

2006-08-08  Stefan Jahn  <stefan@lkcc.org>

	* qucsdigi.bat: Unquoting the TIME argument correctly.

	* dialogs/simmessage.cpp: Using short path equivalent to pass
	it to the freehdl batch file under Win32.  This is a workaround
	because of the limited quoting abilities for these batch files.

2006-07-31  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* update content list after changing the project
	* prevent entering empty string in graphic text dialog
	* change library component per component properties

2006-07-29  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* wire label frame becomes red if initial voltage is set
	* update content list when expanding ListViewItem
	* dialog for optimization component (still unfinished)
	* fixed segfault after dropping document on untitled page

2006-07-19  Stefan Jahn  <stefan@lkcc.org>

	* schematic.cpp (contentsDropEvent): Fixed file name conversion
	from URI object.

2006-07-18  Stefan Jahn  <stefan@lkcc.org>

	* qucsdigi, qucsdigi.bat: Added -q argument to enable quiet
	mode of the simulation binary.

2006-07-15  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new import file format: ZVR ASCII format
	* resize rectangles are scale-independent
	* number of print copies
	* label dialog rejects two "_" together
	* several frame formats

2006-07-15  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug at "zoom 1" on empty page
	* new document property: schematic page frame
	* browse window on left-hand side is dockable
	* fixed segfault on drag n'drop library components

2006-07-03  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp (loadVarData): Fixed compile time error.

2006-07-02  Stefan Jahn  <stefan@lkcc.org>

	* main.cpp (main): Setting up locale to "C" for numeric
	values, such that strtod() does not fail.

2006-06-19  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug showing no scrollbar
	* support file extension "vhd" as VHDL text file
	* fixed bug creating wrong version on loading library components
	* library components can be placed onto the schematic via drag n'drop
	* rework digital diagram data (vector length > 16 now possible)
	* digital diagrams can display analog variables
	* tabular can display digital data
	* fixed bug in y-Smith chart with |r| > 1
	* tried to compensate aliasing in round diagrams
	* new action: import data file using qucsconv
	* mstee and mscross with port numbers (can also be hidden)
	* new action: export graph data to CSV file
	* user can create project packages for data exchange
	* fixed bug corrupting diagram scrollbar
	* remembered last directory the same for most dialogs
	* fixed bug missing symbol at second SPICE component
	* also delete projects if there are subdirectories
	* workaround to catch if SPICE file doesn't exit
	* new function: print fit to page
	* new print scaling (maybe print problems under MacOS are fixed ???)
	* colours for VHDL syntax highlighting changeable in settings dialog

2006-06-10  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* row and column in VHDL editor start with one
	* user libraries can be deleted and renamed with library tool
	* syntax highlighting for VHDL data types and attributes
	* digital diagrams can display nine-valued logic

2006-06-06  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/simmessage.cpp (startSimulator): Applying correct
	command line for Win32 systems as well.

	* dialogs/digisettingsdialog.cpp: Checking for correct
	simulation time settings.

2006-06-04  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* speed up 3D calculation
	* reload diagram graphes only if dataset is newer
	* fixed bug scrolling with cursor down key
	* fixed small bug setting wrong changed status
	* fixed bug loosing some mouse actions
	* new feature: creating user library from subcircuits

2006-05-31  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/simmessage.cpp (startSimulator): Investigation
	about path names under Win32.  It looks like only one
	argument can be quoted on the command line of a batch
	file.  Do not know (yet) if this also applies to other
	binaries (*.exe files).

	* qucsdigi (IEEELIBS): Linking with IEEE libraries.  Thus
	it is now possible to the IEEE libraries shipped with
	FreeHDL as well.  Also made this modification in the
	'qucsdigi.bat' batch file for Win32.

	* main.cpp (checkVersion): Added a convenience function for
	version checks which was broken due to the 0.0.10 bump.
	Using the function several times throughout the code.

2006-05-25  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed several bugs of disappearing node labels

2006-05-22  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed segfault by clicking on component name
	* fixed bug: disappearing labels on aligning

2006-05-22  Stefan Jahn  <stefan@lkcc.org>

	* textdoc.cpp (markWord): Fixed segfault bug in syntax
	highlighter.

	* qucs_jp.ts: Updated Japanese translations.  Thanks to
	Toyoyuki.

2006-05-20  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new action: select all markers
	* action "new text" is now "CTRL+SHIFT+V"
	* action "print selection" is "CTRL+SHIFT+P"
	* move markers only if no other element selected
	* scrollbar of diagrams a little bit more beautiful
	* added new mathematical functions to online help
	* avoid wrong multiple-choice values in changedialog.cpp

2006-05-18  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/graph.cpp (paintLines): Fixed a segfault bug
	occuring when last line is hidden (3d diagram).

2006-05-17  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed segfault with stars/circles in rect3ddiagram
	* characters "[" and "]" can be entered in property edit
	* avoid deselecting wires during wire-splitting

2006-05-15  Stefan Jahn  <stefan@lkcc.org>

	* Makefile.am (%.qm): Changed 'lrelease' step so that it can
	be made using 'make -j 8'.

	* qucs_init.cpp, qucs.cpp, dialogs/searchdialog.cpp: Some
	changes for backward compatibility with Qt < 3.2.

2006-05-14  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/rect3ddiagram.cpp (calcData): Fixed a memory
	overflow when computing the 3D diagram data.

	* qucsdigi: Set time raster for VCD file to 1ps.

	* qucs_ru.ts: Updated Russian translations.  Thanks to Igor.

	* qucs_actions.cpp, diagrams/rect3ddiagram.cpp: Added "#include
	<limits.h>" where necessary for SuSE installation.

2006-05-11  Stefan Jahn  <stefan@lkcc.org>

	* qucs_sv.ts, qucs_fr.ts: Applied translation updates.

2006-05-09  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>
 
	* fixed segfault of clicking on copy/cut toolbar of text editor
	* fixed rotation problem for subcircuit etc. after loading
	* fixed bug mirroring text in component symbols
	* new VDHL name convention also for subcircuit output signal
	* don't show text behind property edit on schematic

2006-05-06  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* in diagram dialog: only show variables without '_' at beginning
	* name node name system for digital simulation
	* fixed bug setting wrong diagram boundings
	* fixed bug enabling/disabling undo/redo icons
	* match with of property edit on schematic with its text

2006-05-03  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* replace function for text editor
	* mark component as short circuit
	* fixed bug forgetting to activate undo button
	* subcircuit component in component listview

2006-04-24  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed problem with VHDL file starting with comment
	* correct cursor marking after load and "enter entity"
	* new property for transient simulation "relaxTSR"
	* new class for components that change their symbol

2006-04-20  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug of disappearing wires after component update
	* fixed bug omitting first character of VHDL entity
	* new action: go into VHDL file
	* *.vhdl/*.vhd suffix for component dialog (browse)

2006-04-15  Stefan Jahn  <stefan@lkcc.org>

	* qucs_it.ts: Applied Italian translation updates.
	* qucs_ru.ts: Added Russian translations.  Thanks to Igor.

2006-04-15  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* mark current line in text editor
	* new action: insert sceleton of VHDL entity
	* bugfix: take care of deactivated components in subcircuits
	* new component: VHDL file
	* match text position after change of component symbol
	* component name can be shown or not on schematic
	* catch if user adds an equation line with already existing name

2006-04-08  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* compiling with "no-exceptions" reduces binary by a third
	* syntax highlighting for text document

2006-04-01  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed segfault during simulations with subcircuits
	* show cursor position of text documents
	* set "gnd <= '0';"
	* switch symbol closed if initial value is on
	* time list of switch with"[...]"
	* new symbol for "inout" subcircuit port
	* zoom for VHDL editor
	* fixed VHDL output for multi-port nor/nand
	* correct old xnor symbol
	* new action: search string in text document
	* "edit circuit symbol" is now on F9 key
	* don't paint lineedit on schematic over scrollbar

2006-03-22  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* extensive restructuring of Qucs
	* started to implement a VHDL text editor

2006-02-28  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* press CTRL key during component moving to use no grid
	* "Temp" property for tline, relais and switch
	* reworked the generation of VHDL code

2006-02-28  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/diagram.cpp: Improved speed while loading datasets
	under Win32 by a strtod() replacement.

	* qucs.cpp (slotChangePage): Fixed small bug on Win32
	platforms.

2006-02-25  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new components: switch, relais, AM- and PM-modulator
	* correct path for files loaded via command line
	* catch wrong characters for components names on schematic
	* sources all have initial rotation angle as in icon

2006-02-18  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* load resistors with backward compatibility
	* diagram dialog of tabular: default number representation mag/deg
	* change dialog fixed
	* correct VDHL time for gates
	* s-parmeter file component with chooseable port number
	* inout attribute for subcircuit port
	* fixed bug to allow more than 1 subcircuit in VHDL

2006-02-13  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* language can be set in settings dialog

2006-01-31  Stefan Jahn  <stefan@lkcc.org>

	* Makefile.am (TRANSLATIONS): Added Ukrainian translations
	files.

2006-01-22  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* if manual grid too small set it to whole length

2006-01-16  Stefan Jahn  <stefan@lkcc.org>

	* qucs_jp.ts: Updated Japanese translation.  Thanks to
	Toyoyuki.

	* dialogs/simmessage.cpp (slotDisplayMsg): Fixed progress
	bar parsing for Win32 platforms.

2006-01-14  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* qucsdigi script can run complete digital simulation
	* check time formats for VHDL standard
	* correct truth table simulation

2006-01-05  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new component: coupler
	* timing diagram shows change of state at begin and end
	* new digital components: RS, D and JK flip flop
	* fixed bug that removed labels after subcircuit update
	* set subcircuit port attribut "analog" to "inout" (VHDL)

2006-01-04  Stefan Jahn  <stefan@lkcc.org>

	* qucs_tr.ts: Applied Turkish translations.  Thanks to
	Onur and Ozgur!

2005-12-30  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed errors for truth table in diagram dialog
	* new progress bar code for simulation
	* fixed memory leakage in 3D diagram
	* ground component now also in digital simulation

2005-12-03  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed segfault after invalid graph in 3D diagram
	* "qucsdigi" script for running digital simulation
	* digital components: output now first port
	* making digi_source analog, too

2005-11-26  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* in qucssettingsdialog: register filename extensions
	* new digital simulation mode: truth table

2005-11-11  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug: crash after inserting diagram into untitled doc
	* remove status line warning when closing project
	* fixed bug: wrong name for spice file components
	* fixed bug: crashes in 3D diagram
	* all graph types in 3D diagram now work
	* new diagram: truth table
	* new section in content listview: "Others" = no Qucs files

2005-11-05  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new diagram: digital timing diagram
	* fixed bug: view all after painting insertion
	* default symbol for libraries

2005-10-26  Stefan Jahn  <stefan@lkcc.org>

	* qucsinit.cpp (initActions): Fixed small typo.
	* qucsfile.h: Including <qstringlist.h> for Qt 3.1.x.
	* dialogs/changedialog.cpp (ChangeDialog): Improved look
	of both the dialogs.

2005-10-12  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug in painting arrow head
	* arrow head always solid line
	* fixed seg fault during inserting ground
	* recreating component after changing property in schematic
	* fixed bug in painting id_text
	* fixed bug in recreating logical devices
	* hidden line algorithm for 3D diagram
	* changed symbol for mutual inductors
	* fixed seg fault after "change dialog" with no components
	* fixed bug of disapearing wire labels
	* fixed bug for calling wire double-click action

2005-09-30  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new components: boolean algebra
	* renamed all Swedish translation files from *_se to *_sv

2005-09-25  Stefan Jahn  <stefan@lkcc.org>

	* qucsfilter.cpp (QucsFilter): Renamed Tschebyscheff (German)
	into Chebyshev (English).

2005-09-22  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* bugfix: two-port matching now finds the dataset
	* option for arrow head: filled or not

2005-09-10  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* bugfix: add path to SPICE files in work directory
	* dialog for two-port matching

2005-30-08  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* mark input and output of matching circuits
	* qucs-filter: Chebyshev filter - band pass, band stop
	* drag'n'drop now works correctly
	* drag'n'drop of schematic files into the document area

2005-20-08  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new components: mutual indoctors (2 and 3), correlated
	noise sources
	* fixed bug: crash after "calc DC bias" with S-parameter
	* show DC bias for sweeps

2005-06-08  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* ChangeDialog with post-select of components
	* component text in subcircuits can be rotated
	* fixed small bug showing wrong default graph color in dialog
	* added new function for concurrent 2-port matching
	* small bux fix in library search dialog
	* fixed bug for negative values in num2str()
	* new feature: show DC bias in schematic

2005-07-27  Stefan Jahn  <stefan@lkcc.org>

	* qucs_es.ts: Applied new Spanish translations by Jose.

	* qucsview.cpp: Applied amd64-patch.

	* diagrams/rect3ddiagram.cpp: Include <stdlib.h> for
	malloc/realloc/free.

2005-07-23  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* dialog for changing properties of many components
	* set not changed if move marker is at end
	* new feature: create matching circuit
	* keep height of document tabbar constant

2005-07-18  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug cutting off diagram labels on printings

2005-07-16  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* property text position of subcircuit does not change
	by saving subcircuit
	* fixed bug: no changed after changing variable name
	* fixed bug: not restore font properties after write
	painting text
	*fixed bug: creating wrong wire starting point

2005-07-14  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed segfault on insert diagram on untitled page
	* fixed bug on rotating text paintings
	* fixed bug on rotating text in subcircuit symbols

2005-06-25  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* some more LaTeX tags for texts
	* simulation warning reset before simulation starts
	* save 4 digits for unicode in text painting
	* QucsLib: change component with cursor up/down
	* repaint after return in property line edit
	* fixed bug that erases port names at undo/redo
	* fixed bug placing menu on right mouse click during paste

2005-06-09  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new tool: library manager
	* ports in schematic symbol show their names instead of their
	numbers, they also can now be rotated
	* diagram labels and grafik text can now contain special
	characters (e.g. greek letters)
	* some work for re-structure
	* avoid selections of graph and marker during printing
	* speed up loading datasets
	* fixed bug at splitting labeled wires
	* fixed bug that cut off digits in scientific numbers
	* error message for variable in tabular if other indep
	variables then the first
	* fixed bug in printing reversed logarithmic axis in 3D
	diagram
	* search dialog for QucsLib
	* correct size for simulation component schemes
	* precise component text boundings
	* text in statusbar if warnings in simulation
	* 3D diagram dialog: show 2D projection preview
	* little gap between graph and diagram boundings for Cartesian

2005-05-21  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed bug scaling independent x axis in Cartesian diagram

2005-05-21  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/simmessage.cpp (nextSPICE): Closing stdin of
	qucsconv process for immediate error reports if there is
	no such file to convert.

	* dialogs/qucssettingsdialog.cpp (slotApply): Applying change
	in background color to editable properties on schematic.

2005-05-16  Stefan Jahn  <stefan@lkcc.org>

	* qucsactions.cpp (editFile): Do not pass empty command line 
	arguments.

2005-05-15  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* complete rework of netlist creation, especially concerning
	SPICE netlist imports

2005-05-08  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* qucsedit: warning about unsaved changes also if close rider
	pressed
	* markers for 3D cartesian work
	* new component works: SPICE netlist import

2005-05-01  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed floating point error in tabular diagram
	* fixed some bugs in 3D cartesian
	* new components: coplanar open and short

2005-04-23  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* edit component properties directly on the schematic
	* many small bug fixes and improvements
	* different line styles for 3D cartesian diagram

2005-04-16  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new key: F2 -> Edit Subcircuit Symbol, CTRL-U -> Set on Grid
	* in label dialog: '_' is now possible
	* new property in coplanar line: Approx
	* fixed small bug that always set changed-flag if "Set on Grid"
	* right mouse button menu is now context sensitive
	* added validators for all neccessary line edits

2005-04-11  Stefan Jahn  <stefan@lkcc.org>

	* qucsview.cpp, qucsdoc.cpp: Fixed int/pointer mismatch for
	64bit architectures.  Reported by Debian build logs.

2005-04-07  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* open dialogs remember last directory (qucs & qucsedit)
	* fixed wrong 3D scaling after delete
	* parameter sweep with combobox for simulation
	* fixed bug omitting set "changed"
	* new diagram: location curves

2005-04-06  Stefan Jahn  <stefan@lkcc.org>

	* Makefile.am (qucs_%.ts): Added the qucs-filter and 
	qucs-transcalc directory to the source of translations.

2005-03-26  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed seg fault if indep data not found
	* fixed seg fault caused by wrong y-axis
	* fixed some graph and diagram painting faults
	* dependend variables can now replace independent ones
	(if suitable)

2005-03-19  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed a few small bugs.
	* started to implement cartesian 3D diagram.

2005-02-28  Stefan Jahn  <stefan@lkcc.org>

	* qucsview.cpp (drawContents): Fixed two more segfault bugs.

2005-02-26  Stefan Jahn  <stefan@lkcc.org>

	* main.cpp (main): Made the Qucs application relocatable
	using the environment variable QUCSDIR.

2005-02-23  Stefan Jahn  <stefan@lkcc.org>

	* qucs_fr.ts: Applied french translation updates by Vincent.

2005-02-19  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed two small bugs that painted diagrams wrong.

2005-02-06  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* avoid last lines in tabulars (more beautiful)
	* return key in sweep edit dialog

2005-01-28  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* selecting graphs works again
	* fixed small bug causing wrong painting symbol position

2005-01-09  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* "acfrequency" in component edit menu

2005-01-09  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* menu on right mouse button
	* several small improvements
	* Hungarian translation

2004-12-29  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* scroll bar for tabular diagrams
	* update diagrams if display page is the same as schematic
	page
	* better handling of tabular diagrams with empty data

2004-12-27  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* component edit dialog extented to show special page for
	simulations
	* fixed small bug that placed text of subcircuits to wrong
	position after undo/load

2004-12-14  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new routines to kill processes when Qucs is terminated

2004-12-14  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* add nodeset support (initial node voltages) to the label
	dialog
	* fixed small bug in painting node labels
	* fixed small bug in showing manual log scale
	* manual diagram limits can now be max < min

2004-12-04  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* fixed some bugs in diagram clipping algorithm
	* graphs can be painted with stars, circles and arrows

2004-12-01  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* disabled rotation angle in graphictext dialog if in
	symbol mode

2004-11-23  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* wire label a little bit more beautiful
	* manual diagram limits for all circumstances
	* changed markers accordingly

2004-11-21  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* new pictures for smith and polar diagrams
	* some small improvments
	* manual limits for diagrams

2004-11-07  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* avoid to narrow grids
	* fixed bugs in "zoom in" and equation bounding
	* some cleaning up

2004-11-11  Stefan Jahn  <stefan@lkcc.org>

	* qucs.cpp (initView): Setting application icon on startup.

	* bitmaps/tiny.qucs.xpm: Made tiny Qucs icon transparent.

	* qucsinit.cpp (slotHelpAbout): Added Toyoyuki ISHIKAWA
	to the list of translators.

2004-11-07  Michael Margraf   <michael.margraf@alumni.tu-berlin.de>

	* three new diagrams: admittance smith chart and two combi
	diagrams smith/polar

2004-11-05  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed many small bugs
	* implemented right y axis for rectangluar diagram

2004-10-25  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* open the documents given in command line
	* component name edit -> RETURN = OK button
	* fixed bug that pointed marker to wrong position
	* in substrate: changed default tand nach 2e-4 (aluminia)
	* zoom in with rectangle and click
	* fixed bug that didn't set text position of sim components
	* cursor symbols of paintings not scaled
	* new components: amplifier, msvia
	* all paintings available for designing subcircuit
	* fixed bug that changed subcircuit instance names when
	changed subcircuit
	* all subprograms are terminated when qucs is terminated
	* double-click on dataset opens it in text editor

2004-10-23  Stefan Jahn  <stefan@lkcc.org>

	* qucs_es.ts, qucs_pl.ts: Updated Polosh and Spanish
	translations.

	* qucsinit.cpp (slotHelpAbout): Added proper copyright notice.

2004-10-23  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed several bugs in subcircuit handling

2004-10-21  Stefan Jahn  <stefan@lkcc.org>

	* qucsview.cpp (MPressMoveText): Fixed compiler (gcc 3.4.2)
	error.

2004-10-18  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed small bug: no wrong paint after click in "move
	component text" mode

2004-10-16  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* dialog for id_text painting (subcircuit text)
	* improved printing a little
	* new action: move component text

2004-10-14  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* id_text.cpp: text of subcircuit symbols can be
	repositioned by the user

2004-10-13  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed bug in paint routine of the markers
	* new paintGrid routine in QucsDoc (also works with zoom)
	* class graphictext works with rotation
	* changed the font handling to avoid problems with Qt bug

2004-10-11  Stefan Jahn  <stefan@lkcc.org>

	* README.translations: Added a brief description about the
	translations.  Added German and French Qt standard dialog
	translations.

2004-10-10  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* homemade function for double to string conversion
	* class "viewpainter" to draw nice looking fonts

2004-10-04  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* new marker property: transparent = yes/no
	* Font size scaled with zoom -> looks nicer

2004-10-03  Stefan Jahn  <stefan@lkcc.org>

	* dialogs/simmessage.cpp (slotDisplayMsg): Fixed layout
	and progress bar filter of simulation messages.

2004-10-01  Stefan Jahn  <stefan@lkcc.org>

	* qucs_es.ts: Applied spanish translation updates.

2004-09-30  Stefan Jahn  <stefan@lkcc.org>

	* qucsinit.cpp (slotHelpAbout): Mentioned Jose as Spanish
	translator in the About.. box.

	* qucs_es.ts: Applied the spanish translation.  Thanks to
	Jose L. Redrejo Rodriguez.

2004-09-26  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* placing component over wire, deletes wire
	* wire labels move correctly with paste
	* rotate and mirror wire labels correctly
	* fixed bug that did not revert the edit mode status after
	closing a project
	* changed status line text for symbol edit mode
	* fixed bug that remove node labels when rotating or
	mirroring
	* add components: vrect and irect
	* add progress bar to the simulation window

2004-09-25  Stefan Jahn  <stefan@lkcc.org>

	* paintings/painting.h: Made 'Name' a QString in order to
	allow the '==' comparisons.

2004-09-19  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* CTRL+U = edit circuit symbol
	* F5 = show last message
	* fixed bug that prevents default circuit symbol to be
	drawn
	* new entry in mouse menu: "delete group"
	* fixed bug that didn't copy node labels

2004-09-19  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* subcircuit symbols can be defined by the user

2004-09-12  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* correct cursor symbols at zoom

2004-09-15  Stefan Jahn  <stefan@lkcc.org>

	* qucs_de.ts: Updated german translation.

	* Makefile.am (%.ts): Added translations of qucs-help and
	qucs-edit.

2004-09-12  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* added new painting: Elliptic Arc

2004-08-31  Stefan Jahn  <jahn@mwt.ee.tu-berlin.de>

	* dialogs/messagebox.cpp (MessageBox): Changed
	'DiscardAll' to 'Discard all'.

	* qucs.cpp (QucsApp): Removed file extensions from
	translations.

2004-08-30  Stefan Jahn  <jahn@mwt.ee.tu-berlin.de>

	* diagrams/diagram.cpp: Including headers for finite().

	* qucsinit.cpp (slotHelpAbout): Fixed typo.

	* qucs_ro.ts: Preliminary checkin of romanian translation.

	* qucs_de.ts: Updated german translation.

2004-08-29  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* qucsdoc.cpp: changed the "copy..." functions

2004-08-24  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* diagrams/graph: Using malloc to store screen points.
	* many small improvements
	* "Close Project" and "Print Selected Elements" operation

2004-08-23  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/markerdialog.cpp (MarkerDialog): Set maximum
	precision value to 12 (for Qt versions where the QIntValidator
	really works).

	* diagrams/graph.h: Using QValueVector for storing screen
	points.  This fixes a bug when large dotted graphs occurred.

2004-08-13  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed many little bugs

2004-08-09  Stefan Jahn  <stefan@lkcc.org>

	* qucs_de.ts: Updated german translation.

	* bitmaps/Makefile.am (XPMS): Added missing files to be
	installed properly.

2004-08-08  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* put enhancement and depletion MOSFET into one component
	class
	* created a MOSFET with substrate port

2004-08-07  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed bug that remembers only one subcircuit history step
	* update changed subcircuits in all open documents

2004-07-24  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* functions: distribute horizontally/vertically,
	set on grid

2004-07-24  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* component name can be edited

2004-07-24  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* MScoupled can now be loaded
	* marker set correctly after new upper x bound
	* undo/redo set changed flag of document
	* fixed bug in showing smith chart with r>1
	* resize of setting dialogs a little nicer
	* menu: align

2004-07-18  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* new components: msgap, bjtsub
	* subcircuit netlist now matches the qucsator style
	* fixed bug in loading equations

2004-07-16  Stefan Jahn  <stefan@lkcc.org>

	* qucsdoc.cpp (QucsDoc): Fixed bug when instantiating a qucsdoc
	without a given application pointer (0).
	(giveNodeNames): Fixed path reference when writing a subcircuit
	netlist.

	* qucs_de.ts: Updated german translation.

	* qucs.cpp: Defining new global variable 'QucsHomeDir'
	containing the "root" directory for the Qucs application.
	Changed all possible callers.

2004-07-14  Stefan Jahn  <jahn@mwt.ee.tu-berlin.de>

	* paintings/filldialog.cpp (FillDialog): Fixed description
	of dense levels.

	* dialogs/settingsdialog.cpp (SettingsDialog): Fixed widget
	layout error for the 'show Grid' option.

	* qucs.cpp: Introduced QucsWorkDir as global variable used
	to save the current directory instead of changing into
	directories directly.  Changed file and directory references
	appropriately.

2004-06-25  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* added qucshelp and qucsedit as independent programs
	* added an "edit" button to the componentdialog
	* fixed bug in enabling/disabling undo button
	* fixed bug in creating subcircuit netlist
	* "Type" parameter in "parameter sweep", "AC simulation",
	"S parameter simulation"

2004-06-22  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* changes current document by <tab> key.
	* in diagramdialog: disable property widgets if no graph
	is selected
	* simplified undo strings
	* enable/disable undo action accordingly
	* rectdiagram with logarithmical scale

2004-06-20  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* graphs can be shown dashed (real dashes, i.e. independent
	of point-to-point distance !!!!)
	* variables of different datasets can be shown on one page

2004-06-14  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* resize function for paintings
	* replaced filledrect, filledellipse and linedialog with
	other classes
	* fixed bug, that moved labels not correctly
	* limit of scale factor: 0.01 ... 10
	* markers can show complex numbers in different ways
	* tabdiagram: in dialog one can change precision and number
	mode
	* fixed bug that doesn't load diagrams after undo
	* all transistors can now be loaded
	* put Resistor and Resistorus together to one component
	* implemented "redo" function

2004-06-10  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* for "move" action: only set "changed" if position really
	changed
	* implemented "undo" function

2004-06-06  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* added components: BJT, JFET, MOSFET
	* changes  method to created listview of components in
	qucs.cpp
	* better text positioning after rotate/mirror of component

2004-05-30  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed small bug in creating rectangular diagrams

2004-05-26  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed bug in label handling when wire is split into two
	wires
	* fixed endless loop when diagram is too small for a grid

2004-05-23  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* improved detection of grounded wires and labeled wires
	* add component ampere_ac

2004-05-22  Stefan Jahn  <stefan@lkcc.org>

	* qucsdoc.cpp (selectElements): Rearranged the code for
	re-ordering the select area rectangle coordinates.  Seemed
	to be a compiler bug or something.

2004-05-21  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* double-click on label opens the label name edit dialog
	* fixed bug in marker text
	* fixed bug in diagram calculation

2004-05-19  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed many small bugs in the view area handling
	* filled rectangle and filled ellipse as paintings

2004-05-19  Stefan Jahn  <stefan@lkcc.org>

	* diagrams/tabdiagram.cpp (calcDiagram): Yet another bug fix
	causing segfaulting the tabdiagram when an graph input has
	disappered after a new simulation.

2004-05-19  Stefan Jahn  <jahn@mwt.ee.tu-berlin.de>

	* diagrams/rectdiagram.cpp (calcDiagram): Fixed an endless
	loop bug when trying to calculate grid properties for zero
	ymax and ymin.

	* qucsfile.cpp (simpleInsertWire): Fixed segfault bug when
	accessing null pointer.

	* qucsview.cpp (MPressRotate): Fixed possible cause of
	segfault.
	(MReleasePaste): Fixed segfault reason when the re-inserted wire
	gets deleted.

	* qucsdoc.cpp (insertWire): Run oneLabel() only if the wire has
	not been deleted in this function.  Fixes segfault of GUI.
	(deleteWire): Fixed apparent typo which lead to segfault.

2004-05-15  Stefan Jahn  <jahn@mwt.ee.tu-berlin.de>

	* diagrams/diagram.cpp (loadIndepVarData): Fixed typo
	in error message.

	* qucs_de.ts: Updated german translation.

	* qucs.cpp (QucsApp): Fixed Qucs file filter description.

2004-05-15  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* markers show more-dimensional data correct
	* cursor up/down key moves selected markers
	* outsourced toggle actions into class "QucsActions"
	* fixed bug in tabdiagram (more-dimensional display)

2004-05-10  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed a few bugs with the graph handling
	* the graph line is now saved within "..."

2004-05-09  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* fixed bug after placing diagram dialog
	* fixed bug in scaling smith chart graphes
	* diagrams can show graph with multiple dimensions

2004-05-07  Stefan Jahn  <stefan@lkcc.org>

	* Makefile.am (TRANSLATIONS): Added romanian translation file.

2004-05-01  Stefan Jahn  <stefan@lkcc.org>

	* qucs_it.ts: Applied changes made by Gorgio.  Thanks.

2004-04-21  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* strongly improved save as function
	* outsourced the initialization of QucsApp into QucsInit
	* polar diagrams correctly fit negative values
	* rectangle diagrams can show data containing only one point
	* fixed bug in component dialog (add property)
	* improved marker handling
	* "graphictext" can be rotated

2004-04-21  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* added document for equation functions in help system
	* markers an graphs (marker.cpp/.h): pointer can be moved
	with cursor left/right

2004-04-16  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* small drawings at the mouse cursor to show the active
	action

2004-04-11  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* hinder keyboard input during element moving
	* CTRL+I=Go into Subcircuit, CTRL+H=Pop outside subcircuit,
	CTRL+B=set marker, CTRL+G=insert ground

2004-04-10  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* strongly speed up reading of datasets
	* speed up selecting of graphs
	* CTRL-L=insert wire label

2004-04-03  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* diagrams can show independent variables
	* fixed crash with messagebox class
	* rectdiagram: more beautiful
	* the graphs of diagrams can be selected.

2004-04-02  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* componentdialog: fixed crash if show box is pressed in
	components without properties
	* fixed delete bug for component/diagram dialog
	* backspace can also used for deleting
	* polardiagram: more beautiful

2004-03-31  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* F1=help, F2=simulate, ctrl+R=rotate, ctrl+M=mirror about y,
	F4=change to data display/schematic

2004-03-28  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* placing a ground on a labeled wire line or node deletes
	the label
	* new: class "QucsFile" manages load, save, copy, paste

2004-03-13  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* several simulations can be started
	* ShowFileDialogs are modeless
	* wire labels have been improved

2004-02-28  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* new property for "parameter sweep": Sim
	* file "qucs.ini" renamed to "qucsrc"
	* command "View all" also heeds the wire labels
	* wire labels are removed if an empty wire name is entered
	* by scrolling with the mouse wheel, one can enlarges the
	schematic area, shift + mouse wheel scrolls and enlarges
	horizontally, ctrl + mouse wheel zooms
	* component drawings of the simulations uses now font metrics
	for painting the frame

2004-02-21  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* Ctrl+E (electric) for "Wire" mode, Ctrl+R (run) for
	"Simulate", Ctrl+D for "Deactivate"
	* wire labels don't change their position at Copy&Paste anymore
	* Wire labels can be moved with  mouse cursor
	* ~/.qucs/qucs.ini introduced, saving size and position of
	the main window
	* the name of equations can be edited, you can add/remove
	several equations per component
	* right mouse button in ListView on the left side: delete
	and rename files

2004-02-09  Stefan Jahn  <stefan@lkcc.org>

	* bitmaps/Makefile.am (XPMS): Added missing pixmaps.

	* qucs_de.ts: Reverting last (wrong) patch and adding new
	translations.

	* Makefile.am (%.ts): Using the path transformation command
	for passing file names to 'lupdate'.

2004-02-07  Michael Margraf  <michael.margraf@alumni.tu-berlin.de>

	* components/msmbend.cpp, components/msopen.cpp added
	including their bitmaps.

2004-02-03  Stefan Jahn  <stefan@lkcc.org>

	* newprojdialog.cpp (NewProjDialog): For some reason tr()
	strings were not really translatable, thus I changed them into
	QObject::tr() strings.  These are now translatable.

2004-01-29  Stefan Jahn  <stefan@lkcc.org>

	* paintings/Makefile.am, diagrams/Makefile.am,
	components/Makefile.am (INCLUDES): Fixed include path for
	X headers and Qt headers.

2004-01-21  Stefan Jahn  <stefan@lkcc.org>

	* fileshowdialog.cpp, settingsdialog.cpp: Added translatable 
	strings.

	* Makefile.am (TRANSLATIONS): Adjusted paths for translation 
	files to make 'make distcheck' working again.

2004-01-14  Stefan Jahn  <stefan@lkcc.org>

	* qucsdoc.cpp (loadComponents): Added gyrator and phaseshifter
	to the list of loadable components.

2003-11-29  Stefan Jahn  <stefan@lkcc.org>

	* bitmaps/Makefile.am (picdatadir): Adjusted installation path
	of bitmaps.

	* qucsdoc.cpp (QucsDoc): Made much more string representations
	translatable.

	* qucs.cpp (initActions): Remove "bitmaps/" from hardcoded
	bitmap locations.  BITMAPDIR now contains the full-qualified
	location.
	Made much more string representations translatable.

	* main.cpp (main): Using LANGUAGEDIR instead of ".".

	* Makefile.am (langdata_DATA): Added translation installation
	path.

2003-10-30  Stefan Jahn  <jahn@mwt.ee.tu-berlin.de>

	* qucsdoc.cpp, qucs.cpp: Using BITMAPDIR definition from
	<config.h>.

	* ChangeLog: Created this file.
